Get Vehicle Services
curl --request GET \
--url https://api.volteras.com/v1/vehicles/{vehicle_id}/maintenance/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles/{vehicle_id}/maintenance/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles/{vehicle_id}/maintenance/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"services": [
{
"component": "VEHICLE",
"type": "FULL_SERVICE",
"kmToNextService": "<string>",
"dateOfNextServiceAt": "2023-11-07T05:31:56Z",
"dateOfLastServiceAt": "2023-11-07T05:31:56Z",
"odometerKmAtLastService": "<string>",
"status": "PENDING"
}
]
}Vehicles
Get Vehicle Services
Retrieves the list of services currently recommended for the vehicle.
This can include services for different components (e.g. brakes) but also statutory inspections (such as MOT in the UK or TÜV in Germany).
The service data may include the due date for the service, or the number of kilometers the vehicle can do before that particular service is due, or both. It may also include the date when the service was last performed.
Returns:
- The list of services for the vehicle.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
GET
/
v1
/
vehicles
/
{vehicle_id}
/
maintenance
/
services
Get Vehicle Services
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique internal identifier for the vehicle.
Response
200 - application/json
Successful Response
Service data for a vehicle and its components
Show child attributes
Show child attributes

